搜索
bottom↓
回复: 24

【网友经验分享】FRDM-KE02Z开发板升级OpenSDA说明

[复制链接]
(218595697)

出0入0汤圆

发表于 2014-8-28 23:41:19 | 显示全部楼层 |阅读模式
本帖最后由 FSL_TICS_ZJJ 于 2014-9-1 16:01 编辑

昨天发现了这个帖子http://www.amobbs.com/forum.php?mod=viewthread&tid=5565886,心里开始长草,虽然还没有开发,但想要先升级一下板子的openSDA固件。
结果发现按照方法升级之后,遇到了一个问题,拷入的固件消失了,但是插入设备后总是显示bootloader,而且网页上看版本号没有升级。
这到底是为什么呢百思不得其解,晚上换了台机器也不能解决问题。

后来在openSDA网站上乱翻,发现了FAQ中有解答,链接“:http://www.pemicro.com/opensda/faqs/faqs.cfm
Issue:  Bootloader versions 1.10 and earlier are not allowing firmware update and MSD FLASH programming on my OpenSDA board, with the Linux, MacOS or Windows 8/8.1 operating systems.


Solution: Support for Windows 8/8.1, MacOS and Linux operating systems was added to Bootloader version 1.11 and MSD firmware version 1.14. Please make sure that your board is programmed with Bootloader version 1.11 or higher prior to attempting to update your OpenSDA board with a new firmware application.
Important: If you are currently running Bootloader version 1.10 or earlier, you will need to find a Windows XP or Windows 7 PC to perform this update.
Please follow these steps to find out what version of Bootloader your board is programmed with: 1.Start your board in Bootloader mode by holding down the RESET button prior to plugging it into USB port.
2.Open the SDA_INFO.HTM file, which will contain version numbers of Bootloader as well name and version of current OpenSDA firmware you are using. If your board is not running Bootloader version 1.11 or higher, please download the latest OpenSDA Firmware Apps from P&E website and follow instructions in corresponding documentation to update the Bootloader using the BOOTUPDATEAPP_Pemicro_v111.SDA application. Once the Bootloader is updated via BOOTUPDATEAPP, the OpenSDA board can then be upgraded to the latest combined MSD/DEBUG OpenSDA firmware 1.14 or greater.

原来是需要一台winXP,win7的机器,才能成功升级,升级之后,win8才能用……
郁闷了一天,希望大家能不要走我的弯路。
(218595538)

出0入0汤圆

发表于 2014-8-28 23:43:58 | 显示全部楼层
就是更新一下openSDA的固件。
(218561466)

出0入0汤圆

发表于 2014-8-29 09:11:50 | 显示全部楼层
楼主这个经验很重要啊,必须赞你一个。
(218556937)

出0入0汤圆

发表于 2014-8-29 10:27:19 | 显示全部楼层
哈!我也遇到过类似的问题,折腾了不少时间,感谢露珠的分享
(218554548)

出0入0汤圆

发表于 2014-8-29 11:07:08 | 显示全部楼层
暂时用不到
(218551015)

出0入0汤圆

发表于 2014-8-29 12:06:01 | 显示全部楼层
本人在windows8.1下成功升级过OPENSDA V2 的固件,固件版本不对是升级失败的主要原因。
(218549734)

出0入0汤圆

发表于 2014-8-29 12:27:22 来自手机 | 显示全部楼层
帮顶了,谢谢fen x
(218544912)

出0入0汤圆

发表于 2014-8-29 13:47:44 | 显示全部楼层
呵呵  仔细看看QSP中有讲的 很详细
(218526189)

出0入0汤圆

 楼主| 发表于 2014-8-29 18:59:47 | 显示全部楼层
FSL_TICS_ZJJ 发表于 2014-8-29 09:11
楼主这个经验很重要啊,必须赞你一个。

修改加粗并且变色了文字,方便大家找到关键的内容。
互相帮助是好习惯~
(218526135)

出0入0汤圆

 楼主| 发表于 2014-8-29 19:00:41 | 显示全部楼层
laoge 发表于 2014-8-29 12:06
本人在windows8.1下成功升级过OPENSDA V2 的固件,固件版本不对是升级失败的主要原因。 ...

从什么版本升级到什么版本?
openSDA还有V2的版本?什么板子的?
(218525820)

出0入0汤圆

发表于 2014-8-29 19:05:56 | 显示全部楼层
昨天我的win7 64  安装不上串口。我也给升级了一下。。。。结果还是不行哈。。系统有问题的。。后来用的xp 虚拟机、
(218525615)

出0入0汤圆

发表于 2014-8-29 19:09:21 | 显示全部楼层
abszy 发表于 2014-8-29 13:47
呵呵  仔细看看QSP中有讲的 很详细

  说的是这句吧。。。


英语4级刚刚飘过、、、
专业的英文资料,我有些还是理解不好。。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
(218513053)

出0入0汤圆

发表于 2014-8-29 22:38:43 | 显示全部楼层
javabean 发表于 2014-8-29 19:00
从什么版本升级到什么版本?
openSDA还有V2的版本?什么板子的?

不但有V2的还有V2.1的。2014年生产的FRDM-K64F 带的OpenSDA就是V2的,原装的Bootloader是MBED,可改为PE的或JLINK的。PE的固件是DEBUG-FRDM-K64F_Pemicro_v108a_for_OpenSDA_v2.0.bin。
(218511835)

出0入0汤圆

发表于 2014-8-29 22:59:01 来自手机 | 显示全部楼层
我都是直接刷jlink使用
(218509449)

出0入0汤圆

 楼主| 发表于 2014-8-29 23:38:47 | 显示全部楼层
laoge 发表于 2014-8-29 22:38
不但有V2的还有V2.1的。2014年生产的FRDM-K64F 带的OpenSDA就是V2的,原装的Bootloader是MBED,可改为PE ...

板子太高端,KE02Z这么廉价的板子着实hold不住……
(218509401)

出0入0汤圆

 楼主| 发表于 2014-8-29 23:39:35 | 显示全部楼层
y574924080 发表于 2014-8-29 22:59
我都是直接刷jlink使用

jlink要焊上插座才行,麻烦
(218508721)

出0入0汤圆

发表于 2014-8-29 23:50:55 | 显示全部楼层
javabean 发表于 2014-8-29 23:39
jlink要焊上插座才行,麻烦

我用过官方的KL25 还有 K64F,都是通过 openocd直接刷成jlink

然后仅仅需要把openocd的usb线连接上,再也不需要其他连接了

使用起来很方便的
(218018665)

出0入0汤圆

发表于 2014-9-4 15:58:31 | 显示全部楼层
mark                  
(214280618)

出0入0汤圆

发表于 2014-10-17 22:19:18 | 显示全部楼层
WIN81升级失败,回到了Bootloader模式。找了台XP的机器就升级成功了。
(214190188)

出0入0汤圆

 楼主| 发表于 2014-10-18 23:26:28 | 显示全部楼层
divineliu 发表于 2014-10-17 22:19
WIN81升级失败,回到了Bootloader模式。找了台XP的机器就升级成功了。

必须要有个Win7或XP的机器把bootloader升级之后,win8才能用哦,这个确实比较坑
(214188044)

出100入101汤圆

发表于 2014-10-19 00:02:12 | 显示全部楼层
很好的经验分享,收藏!
(210486877)

出0入0汤圆

发表于 2014-11-30 20:08:19 | 显示全部楼层
做开发的不建议用win8 用过半年各种不顺利,现在用win7问题少了很多
(210483308)

出0入0汤圆

 楼主| 发表于 2014-11-30 21:07:48 | 显示全部楼层
starting 发表于 2014-11-30 20:08
做开发的不建议用win8 用过半年各种不顺利,现在用win7问题少了很多

总得来讲,win8的便利更多,未来还是要升级平台的
(190964985)

出0入0汤圆

发表于 2015-7-14 18:53:11 | 显示全部楼层
谢谢楼主 我也发现同样问题
(16403278)

出0入0汤圆

发表于 2021-1-24 04:14:58 | 显示全部楼层
搞了半天,感谢楼主
回帖提示: 反政府言论将被立即封锁ID 在按“提交”前,请自问一下:我这样表达会给举报吗,会给自己惹麻烦吗? 另外:尽量不要使用Mark、顶等没有意义的回复。不得大量使用大字体和彩色字。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

手机版|Archiver|amobbs.com 阿莫电子论坛 ( 公安交互式论坛备案:44190002001997 粤ICP备09047143号 )

GMT+8, 2021-8-2 00:42

© Since 2004 www.amobbs.com, 原www.ourdev.cn, 原www.ouravr.com

快速回复 返回顶部 返回列表